package com.dsic.gj_erp.pc.dto;

import com.dsic.gj_erp.pc.Constant;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;
import java.util.Optional;

@Getter
@Setter
public class 资源 {
    private String date;
    private Map<Constant.工序,工序产能> 工序产能MAP;

    public void 占用资源(Constant.工序 工序,String 套料图号,double 产能消耗){
        工序产能 工序产能 = 工序产能MAP.get(工序);
        Optional.of(工序产能).ifPresent(it->{
            if (it.判断是否可以占用(产能消耗)){
                it.占用资源(套料图号,产能消耗);
            }
        });
    }

    public static 资源 of(String date,Map<Constant.工序,工序产能> 工序产能MAP){
        资源 资源 = new 资源();
        资源.date=date;
        资源.工序产能MAP=工序产能MAP;
        return 资源;
    }

    private 资源(){}
}
