package com.dsic.gj_erp.pc.service;

public interface 工序排产处理接口 {

    default void 占用资源(String 设备编号,String 图纸,double 所需产能){
        占用资源(图纸,所需产能);
        占用设备(设备编号,图纸);
    }

    default void 占用资源(String 图纸,double 所需产能){
        占用资源(所需产能);
        占用资源(图纸);
    }

    void 占用设备(String 设备编号,String 占用源);

    void 占用资源(double 所需产能);

    void 占用资源(String 占用源);
}
